Skip navigation
highonlife09
Currently Being Moderated

Is there a creative suite CS6 version compatible with a Mac OS X 10.5.8?

Aug 1, 2012 9:37 AM

I downlaoded CS6 on my computer only to find out CS6 is not compatible with Mac OS X 10.5.8, it says it must be 10.6.0, but I don't want to get a whole new computer, is there a CS6 version compatible with a Mac OS X 10.5.8?

 
Replies
  • Currently Being Moderated
    Aug 1, 2012 4:32 PM   in reply to highonlife09

    It really will depend on which Adobe product or suite you are trying to install.  In general though most of our Creative Suite 6 products require 10.6.8.  Which Adobe product did you purchase?  Besides your operating system is there other system requirements which you also are not currently able to fulfill?

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 1, 2012 11:16 PM   in reply to highonlife09

    Apple sells OSX upgrades via the app store and in their stores. Unless your hardware is realyl that old and wouldn't support 10.6, i see no reason why you couldn't spoendf those 29 bucks, if you realyl wanna use CS6.....

     

    Mylenium

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points